     program lit_pres
! se compile avec 'g95 lit_pres.F90'. produit un fichier a.out
! visiblement, pour le cas DICE, on donne les pressions de milieux de couches (dans le fichier hybrid.txt)
! alors que disvert.F90 attend les pression aux interfaces des couches.
! ce programme permet de passer des unes aux autres
! MPL 20130910
     IMPLICIT NONE
     real p(70),pp(71),psol
     integer l
     open(1, file="hybrid1_milieu_couche.txt", status="old", action="read", &
          position="rewind")
     psol=97509.
     pp(1)=psol
!    print *,'pp=',1,pp(1)
     print *,pp(1)/psol
     do l = 1, 70
        read(1, fmt=*) p(l)
        pp(l+1)=2*p(l)-pp(l)
!       print *,'pp=',l,pp(l+1)
        print *,pp(l+1)/psol
     end do
     pp(71)=0.
!    print *,'pp=',71,pp(71)
     print *,pp(71)
     close(1)
     END

